Create Group and set businesses
curl --request POST \
--url https://api.partoo.co/v2/sections/{section_id}/groups \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"name": "France",
"business__in": [
"5409c35a97bbc544d8e26737",
"595badaef348ab6b3530033f",
"59d53302b12ff6429f262639"
]
}
'import requests
url = "https://api.partoo.co/v2/sections/{section_id}/groups"
payload = {
"name": "France",
"business__in": ["5409c35a97bbc544d8e26737", "595badaef348ab6b3530033f", "59d53302b12ff6429f262639"]
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'France',
business__in: [
'5409c35a97bbc544d8e26737',
'595badaef348ab6b3530033f',
'59d53302b12ff6429f262639'
]
})
};
fetch('https://api.partoo.co/v2/sections/{section_id}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"id": 1
}{
"errors": {
"json": {
"name": "name_already_exists"
}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Groups and Sections
Create Group and set businesses
Create a new group.
This endpoint allows Group Managers to create new groups within the system. For more information about the group system, see the Groups and Sections description.
⚠️ You must specify which businesses are part of the group using the business__in parameter.
- If you don’t specify any businesses, the group will be created with all businesses. - To create an empty group, provide an empty array in the
business__inparameter.
POST
/
sections
/
{section_id}
/
groups
Create Group and set businesses
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Section ID
Body
application/json
Was this page helpful?
⌘I